"""
@author: luojunhui
"""


class HistoryContentIdTaskConst:
    """
    历史文章id任务常量
    """
    # 任务处理中
    TASK_PROCESSING_STATUS = 101
    # 任务初始化状态
    TASK_INIT_STATUS = 0
    # 任务视频ETL 完成状态
    TASK_ETL_COMPLETE_STATUS = 3
    # 任务发布完成状态
    TASK_PUBLISHED_STATUS = 4
    # 文章已经退场 or 晋级
    EXIT_STATUS = 97
    # 文章品类不匹配
    MISMATCH_STATUS = 96
    # 视频已经下载成功状态
    VIDEO_DOWNLOAD_SUCCESS_STATUS = 2
    # 任务最多处理次数
    TASK_MAX_PROCESS_TIMES = 3

    # 与AIGC交互，发送处理完成的trace_id至AIGC系统
    RECORD_SUCCESS_TRACE_ID_CODE = 2
    RECORD_FAIL_TRACE_ID_CODE = 3

    # 是否需要发布
    NEED_PUBLISH = 1
    DO_NOT_NEED_PUBLISH = 2

    # 文章晋级or退场
    UP_LEVEL_STATUS = 1
    TITLE_EXIT_STATUS = -1

    # 等待时间
    NEED_PUBLISH_WAIT_TIME = 60
    DO_NOT_NEED_PUBLISH_WAIT_TIME = 3


class NewContentIdTaskConst(HistoryContentIdTaskConst):
    """
    新文章id任务常量
    """
    # KIMI 执行完成状态
    TASK_KIMI_FINISHED_STATUS = 1
    # 爬虫执行完成状态
    TASK_SPIDER_FINISHED_STATUS = 2
    # 处理失败状态
    TASK_FAIL_STATUS = 99

    # KIMI非法状态
    KIMI_ILLEGAL_STATUS = 95

    # 存入文章表失败状态
    ARTICLE_TEXT_TABLE_ERROR = 98

    # 文章处理状态超时时间
    TASK_PROCESSING_TIMEOUT = 3600

    # 匹配最少视频数量
    MIN_MATCH_VIDEO_NUM = 3

    # long_articles_text中，KIMI处理状态
    KIMI_SUCCESS_STATUS = 1
    KIMI_FAIL_STATUS = 2

    # 视频下载失败状态
    VIDEO_DOWNLOAD_FAIL_STATUS = 3

new_content_id_task = NewContentIdTaskConst()